---
title: HTMLImageElement.width
slug: Web/API/HTMLImageElement/width
tags:
  - API
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Image
  - Property
  - Reference
  - size
  - width
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The <code><strong>width</strong></code> property of the {{domxref("HTMLImageElement")}} interface indicates the width at which an image is drawn in {{Glossary("CSS pixel", "CSS pixels")}} if it's being drawn or rendered to any visual medium such as a screen or printer. Otherwise, it's the natural, pixel density-corrected width of the image. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>htmlImageElement</em>.width = <em>newWidth</em>;
let <em>width</em> = <em>htmlImageElement</em>.width;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the width of the image. The way the width is defined depends on whether or not the image is being rendered to a visual medium, such as a screen or printer:</p>

<ul>
 <li>If the image is being rendered to a visual medium, the width is expressed in {{Glossary("CSS pixel", "CSS pixels")}}.</li>
 <li>If the image is not being rendered to a visual medium, its width is represented using the image's natural (intrinsic) width, adjusted for the display density as indicated by {{domxref("HTMLImageElement.naturalWidth", "naturalWidth")}}.</li>
</ul>

<h2 id="Example">Example</h2>

<p>In this example, two different sizes are provided for an image of a clock using the {{htmlattrxref("srcset", "img")}} attribute. One is 200px wide and the other is 400px wide. The {{htmlattrxref("sizes", "img")}} attribute is used to specify the width at which the image should be drawn given the viewport's width.</p>

<h3 id="HTML">HTML</h3>

<p>For viewports up to 400px wide, the image is drawn at a width of 200px. Otherwise, it's drawn at 400px.</p>

<pre class="brush: html notranslate">&lt;p&gt;Image width: &lt;span class="size"&gt;?&lt;/span&gt;px (resize to update)&lt;/p&gt;
&lt;img src="/files/16864/clock-demo-200px.png"
      alt="Clock"
      srcset="/files/16864/clock-demo-200px.png 200w,
          /files/16797/clock-demo-400px.png 400w"
      sizes="(max-width: 400px) 200px, 400px"&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<p>JavaScript looks at the <code>width</code> property to determine the width of the image at the moment. This is performed in the window's {{domxref("Window.load_event", "load")}} and {{domxref("Window.resize_event", "resize")}} event handlers so the most current width information is always available.</p>

<pre class="brush: js notranslate">var clockImage = document.querySelector("img");
let output = document.querySelector(".size");

const updateWidth = event =&gt; { output.innerText = clockImage.width; };

window.addEventListener("load", updateWidth);
window.addEventListener("resize", updateWidth);
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 640, 450)}}</p>

<p>This example may be easier to try out <a href="https://mdn.mozillademos.org/en-US/docs/Web/API/HTMLImageElement/width$samples/Example">in its own window</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-img-width', 'HTMLImageElement.width')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.width")}}</p>
